# https://fedoraproject.org/wiki/Packaging:Guidelines#Packaging_of_Additional_RPM_Macros
%global macrosdir       %(d=%{_rpmconfigdir}/macros.d; [ -d $d ] || d=%{_sysconfdir}/rpm; echo $d)

Summary: Make the SCL packaging easier
Name: scl-rpm-config
Version: 1
Release: 5%{?dist}
License: GPL+
Group: Development/System
URL: https://github.com/devexp-db/db-rpm-config

Source0: macros.scl-helpers

BuildArch: noarch

%description
SCL RPM configuration helper macros.

%prep
%setup -c -T

%build

%install
mkdir -p %{buildroot}%{macrosdir}
install -m 644 -p %{SOURCE0} %{buildroot}/%{macrosdir}

%files
%{macrosdir}


%changelog
* Thu Oct 11 2018 Pavel Raiskup <praiskup@redhat.com> - 1-5
- bump for new fedora

* Tue Sep 27 2016 Pavel Raiskup <praiskup@redhat.com> - 1-4
- add %%scl_{enable,disable} unconditionally
- don't require compat rpm, require epel-rpm-macros

* Sun Dec 13 2015 Pavel Raiskup <praiskup@redhat.com> - 1-3
- well, now really enable the collection

* Sun Dec 13 2015 Pavel Raiskup <praiskup@redhat.com> - 1-2
- epel-5 fix

* Sun Dec 13 2015 Pavel Raiskup <praiskup@redhat.com> - 1-1
- initial packaging
